﻿@model IEnumerable<ASP.NET_MVC5_WebShopExample.Models.SpecificationType>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Unit)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Filter)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Categories)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Unit)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Filter)
        </td>
        <td>
            @if(item.Categories != null && item.Categories.Count > 0)
            { 
            <div class="dropdown">
                <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                    Categroies
                    <span class="caret"></span>
                </button>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
                    @foreach (var category in item.Categories)
                    {
                        <li>@Html.ActionLink($"ID:{category.CategoryId} - {category.Name}", "Edit", "Categories", new { id = category.CategoryId }, null)</li>
                    }
                    <li role="separator" class="divider"></li>
                    <li>@Html.ActionLink("List of categories", "Index", "Categories")</li>
                </ul>
            </div>
            }
            else
            {
                @:Common
            }
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.SpecificationTypeId }) |
            @Html.ActionLink("Details", "Details", new { id=item.SpecificationTypeId }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.SpecificationTypeId })
        </td>
    </tr>
}

</table>
